{% extends "base.html" %}

{% block content %}
<main role="main" class="col-sm-9 ml-sm-auto col-md-10 pt-3">
    <br>
    <h2>vf module list</h2>
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
            <tr>
                <th>#</th>
                <th>VF Module name</th>
                <th>VNF instance name</th>
                <th>status</th>
            </tr>
            </thead>
            <tbody>
            {% for vf_module in vf_module_list | reverse %}
            <tr>
                <td><class="vf_module" type="text" id="{{loop.index}}" name="{{loop.index}}" value="{{loop.index}}">{{loop.index}}</td>
                <td><class="vf_module" type="text" id="vf_module_name{{loop.index}}" name="vf_{{loop.index}}" value="{{vf_module['vf-module-name']}}">{{vf_module['vf-module-name']}}</td>
                <td><class="vf_module" type="text" id="vf_name{{loop.index}}" name="vf_{{loop.index}}" value="{{vf_module['vnf-instance-name']}}">{{vf_module['vnf-instance-name']}}</td>
                <td><class="vf_module" type="text" id="vf_status{{loop.index}}" name="vf_{{loop.index}}" value="{{vf_module['orchestration-status']}}">{{vf_module['orchestration-status']}}</td>
                {% set status = vf_module['orchestration-status'] %}
                {% if status != "active" %}
                  <td><a href="../vf_module_delete?vnf-instance-id={{vf_module['vnf-instance-id']}}&vf-module-id={{vf_module['vf-module-id']}}&resource-version={{vf_module['resource-version']}}" class="btn btn-danger">Delete</a></td>
                {% endif %}
            </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</main>
{% endblock %}
